package assistant

import (
	"fmt"
	"net/http"
	"os"
)

func UnlockDoor(webhook string) error {
	res, err := http.Get(webhook)
	if err != nil || res.StatusCode/100 != 2 {
		return fmt.Errorf("got err sending message send %v %s", res, err)
	}
	return nil
}

func Do(command string) error {
	if command == "unlock" {
		return UnlockDoor(os.Getenv("UNLOCK_DOOR_WEBHOOK"))
	}
	return fmt.Errorf("unknown command %s", command)
}
